package com.rjconsultores.ventaboletos.vo.comissao;

import java.math.BigDecimal;
import java.util.List;

import com.rjconsultores.ventaboletos.utilerias.BigDecimalUtil;
import com.rjconsultores.ventaboletos.utilerias.LocaleUtil;

public class ResumoComissao {

	private BigDecimal totalVendas;
	private BigDecimal totalCancelados;
	private BigDecimal totalDevolvidos;
	private BigDecimal totalTroca;
	private BigDecimal totalReceitas;
	private BigDecimal totalDespesas;
	private BigDecimal valorDeposito;    
	private List<String> listNumSerieECF;

	private OcdVO totalOcd;

	private List<FormapagoVO> totalFormapago;

	public BigDecimal getTotalVendas() {
		return totalVendas;
	}

	public void setTotalVendas(BigDecimal totalVendas) {
		this.totalVendas = totalVendas;
	}

	public BigDecimal getTotalCancelados() {
		return totalCancelados;
	}

	public void setTotalCancelados(BigDecimal totalCancelados) {
		this.totalCancelados = totalCancelados;
	}

	public BigDecimal getTotalDevolvidos() {
		return totalDevolvidos;
	}

	public void setTotalDevolvidos(BigDecimal totalDevolvidos) {
		this.totalDevolvidos = totalDevolvidos;
	}

	public BigDecimal getTotalTroca() {
		return totalTroca;
	}

	public void setTotalTroca(BigDecimal totalTroca) {
		this.totalTroca = totalTroca;
	}

	public BigDecimal getTotalReceitas() {
		return totalReceitas;
	}

	public void setTotalReceitas(BigDecimal totalReceitas) {
		this.totalReceitas = totalReceitas;
	}

	public BigDecimal getTotalDespesas() {
		return totalDespesas;
	}

	public void setTotalDespesas(BigDecimal totalDespesas) {
		this.totalDespesas = totalDespesas;
	}

	public BigDecimal getValorDeposito() {
		return valorDeposito;
	}

	public void setValorDeposito(BigDecimal valorDeposito) {
		this.valorDeposito = valorDeposito;
	}

	public List<FormapagoVO> getTotalFormapago() {
		return totalFormapago;
	}

	public void setTotalFormapago(List<FormapagoVO> totalFormapago) {
		this.totalFormapago = totalFormapago;
	}

	public OcdVO getTotalOcd() {
		return totalOcd;
	}

	public void setTotalOcd(OcdVO totalOcd) {
		this.totalOcd = totalOcd;
	}
	
	public List<String> getListNumSerieECF() {
		return listNumSerieECF;
	}

	public void setListNumSerieECF(List<String> listNumSerieECF) {
		this.listNumSerieECF = listNumSerieECF;
	}

	public String getTotalVendasFormatado() {
		return BigDecimalUtil.getBigDecimalToStringDouble2CasasDecimaisFormatado(getTotalVendas(), LocaleUtil.getLocale());
	}

	public String getTotalCanceladosFormatado() {
		return BigDecimalUtil.getBigDecimalToStringDouble2CasasDecimaisFormatado(getTotalCancelados(), LocaleUtil.getLocale());
	}

	public String getTotalDevolvidosFormatado() {
		return BigDecimalUtil.getBigDecimalToStringDouble2CasasDecimaisFormatado(getTotalDevolvidos(), LocaleUtil.getLocale());
	}

	public String getTotalTrocaFormatado() {
		return BigDecimalUtil.getBigDecimalToStringDouble2CasasDecimaisFormatado(getTotalTroca(), LocaleUtil.getLocale());
	}

	public String getTotalReceitasFormatado() {
		return BigDecimalUtil.getBigDecimalToStringDouble2CasasDecimaisFormatado(getTotalReceitas(), LocaleUtil.getLocale());
	}

	public String getTotalDespesasFormatado() {
		return BigDecimalUtil.getBigDecimalToStringDouble2CasasDecimaisFormatado(getTotalDespesas(), LocaleUtil.getLocale());
	}

	public BigDecimal getTotalDiferenca() {
		return getTotalReceitas().subtract(getTotalDespesas());
	}

	public String getTotalDiferencaFormatado() {
		return BigDecimalUtil.getBigDecimalToStringDouble2CasasDecimaisFormatado(getTotalDiferenca(), LocaleUtil.getLocale());
	}

	public String getValorDepositoFormatado() {
		return BigDecimalUtil.getBigDecimalToStringDouble2CasasDecimaisFormatado(getValorDeposito(), LocaleUtil.getLocale());
	}
	
	

}
